Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1712581 - During upgrade, failure mesage can be "Cluster did not complete upgrade: timed out waiting for the condition"
Summary: During upgrade, failure mesage can be "Cluster did not complete upgrade: time...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: W. Trevor King
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 20:26 UTC by bpeterse
Modified: 2019-06-17 17:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 17:42:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 22884 0 None closed Bug 1712581: test/e2e/upgrade: Summarize ClusterVersion on upgrade failures 2020-06-10 12:27:24 UTC

Description bpeterse 2019-05-21 20:26:22 UTC
Example PR:
https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/openshift_console-operator/229/pull-ci-openshift-console-operator-master-e2e-aws-upgrade/100#openshift-tests-disruptive-cluster-upgrade-should-maintain-a-functioning-cluster-featureclusterupgrade-suiteopenshift-serial

The message:

```
Cluster did not complete upgrade: timed out waiting for the condition
```

In:

```
fail [github.com/openshift/origin/test/e2e/upgrade/upgrade.go:138]: during upgrade

Unexpected error:
    <*errors.errorString | 0xc002137310>: {
        s: "Cluster did not complete upgrade: timed out waiting for the condition",
    }
    Cluster did not complete upgrade: timed out waiting for the condition
occurred
```
Could likely be clearer to help diagnose what happened to fail the upgrade.

Comment 1 Brenton Leanhardt 2019-05-21 21:16:12 UTC
The team has some ideas to improve the error output here (like printing the ClusterVersion status).  The general process here should be to look at the stdout/stderr and look for ClusterVersion transitions.  The cvo logs would be another place to look.

Comment 2 W. Trevor King 2019-05-22 03:14:52 UTC
Probably affects 4.1 too, but so far has only been reported in origin/master (~4.2) builds.  We can move Version back to 4.1 if/when we see it there.

Comment 3 Brenton Leanhardt 2019-06-17 17:42:58 UTC
Since this is related to CI and the fix landed in master we're just going to close this.  No need for QE verification.


Note You need to log in before you can comment on or make changes to this bug.